searchNodes=[{"doc":"Mix task to deal with exchanges in the target RabbitMQ. This is helpful to orchestrate target RabbitMQ when deploying to docker. Allows to create and delete the exchange. Loads the setting from config :rambla, :amqp if no connection is provided in parameters. Command line options -c - the connection string -o - the list of options without spaces, separated by comma Options Options for create type - One of four possible values below. Defaults to :direct. direct fanout topic headers durable - If set, keeps the Exchange between restarts of the broker; auto_delete - If set, deletes the Exchange once all queues unbind from it; passive - If set, returns an error if the Exchange does not already exist; internal - If set, the exchange may not be used directly by publishers, but only when bound to other exchanges. Internal exchanges are used to construct wiring that is not visible to applications. no_wait - If set, the declare operation is asynchronous. Defaults to false. arguments - A list of arguments to pass when declaring (of type AMQP.arguments/0). See the README for more information. Defaults to []. Options for delete if_unused - If set, the server will only delete the exchange if it has no queue bindings. no_wait - If set, the delete operation is asynchronous.","ref":"Mix.Tasks.Rambla.Rabbit.Exchange.html","title":"Mix.Tasks.Rambla.Rabbit.Exchange","type":"task"},{"doc":"","ref":"Mix.Tasks.Rambla.Rabbit.Exchange.html#t:command/0","title":"Mix.Tasks.Rambla.Rabbit.Exchange.command/0","type":"type"},{"doc":"Mix task to deal with queues in the target RabbitMQ. This is helpful to orchestrate target RabbitMQ when deploying to docker. Allows to create, delete, purge and query status of the queue. Also, bind and unbind commands are supported, both require exchange:... option to be passed. Loads the setting from config :rambla, :amqp if no connection is provided in parameters. Command line options -c - the connection string -o - the list of options without spaces, separated by comma Options Options for create durable - If set, keeps the Queue between restarts of the broker. Defaults to false. auto_delete - If set, deletes the Queue once all subscribers disconnect. Defaults to false. exclusive - If set, only one subscriber can consume from the Queue. Defaults to false. passive - If set, raises an error unless the queue already exists. Defaults to false. no_wait - If set, the declare operation is asynchronous. Defaults to false. arguments - A list of arguments to pass when declaring (of type AMQP.arguments/0). See the README for more information. Defaults to []. Options for delete if_unused - If set, the server will only delete the queue if it has no consumers. If the queue has consumers, it’s not deleted and an error is returned. if_empty - If set, the server will only delete the queue if it has no messages. no_wait - If set, the delete operation is asynchronous.","ref":"Mix.Tasks.Rambla.Rabbit.Queue.html","title":"Mix.Tasks.Rambla.Rabbit.Queue","type":"task"},{"doc":"","ref":"Mix.Tasks.Rambla.Rabbit.Queue.html#t:command/0","title":"Mix.Tasks.Rambla.Rabbit.Queue.command/0","type":"type"},{"doc":"Interface for the message publishing through Rambla. Rambla maintains connection pools with a dynamix supervisor. It might be read from the config or passed as a parameter in a call to Rambla.start_pools/1. The latter expects a keyword list of pools to add, each declared with the name of the worker and the options with the following keys: :type the type of the worker; defaults to :local :name the name of the worker; defaults to the module name :options options to be passed to the worker initialization in :poolboy, like [size: 5, max_overflow: 300] :params arguments to be passed to the worker during initialization","ref":"Rambla.html","title":"Rambla","type":"module"},{"doc":"Publishes the message to the target pool. The message structure depends on the destination. For RabbitMQ is might be whatever, for Smtp it expects to have to:, subject: and body: fields.","ref":"Rambla.html#publish/2","title":"Rambla.publish/2","type":"function"},{"doc":"Starts the pools configured in the config.exs / releases.exs file. This call is equivalent to start_pools(Application.get_env(:rambla, :pools)).","ref":"Rambla.html#start_pools/0","title":"Rambla.start_pools/0","type":"function"},{"doc":"Starts the pools as specified by options (map() or keyword())","ref":"Rambla.html#start_pools/1","title":"Rambla.start_pools/1","type":"function"},{"doc":"The default behaviour for publishers. The common use case would be the module implementing this behaviour opens a connection (and keep it opened,) and publishes messages as needed.","ref":"Rambla.Connection.html","title":"Rambla.Connection","type":"behaviour"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Rambla.Connection.html#child_spec/1","title":"Rambla.Connection.child_spec/1","type":"function"},{"doc":"Connects to the remote service and returns a connection object back","ref":"Rambla.Connection.html#c:connect/1","title":"Rambla.Connection.connect/1","type":"callback"},{"doc":"Publishes the message to the remote service using connection provided","ref":"Rambla.Connection.html#c:publish/2","title":"Rambla.Connection.publish/2","type":"callback"},{"doc":"Accepts options for the underlying connection (those will be passed to connect/1.)","ref":"Rambla.Connection.html#start_link/1","title":"Rambla.Connection.start_link/1","type":"function"},{"doc":"The accepted type of the message to be published","ref":"Rambla.Connection.html#t:message/0","title":"Rambla.Connection.message/0","type":"type"},{"doc":"","ref":"Rambla.Connection.html#t:messages/0","title":"Rambla.Connection.messages/0","type":"type"},{"doc":"The response type for the single request. Contains a status and a response from remote service","ref":"Rambla.Connection.html#t:outcome/0","title":"Rambla.Connection.outcome/0","type":"type"},{"doc":"The response type for the bulk request. Contains a status and a response from remote service","ref":"Rambla.Connection.html#t:outcomes/0","title":"Rambla.Connection.outcomes/0","type":"type"},{"doc":"The connection information","ref":"Rambla.Connection.html#t:t/0","title":"Rambla.Connection.t/0","type":"type"},{"doc":"Default connection implementation for 🐰 Rabbit. publish/2 accepts the following options: exchange [binary(), mandatory] the exchange to publish to queue [binary(), optional] if passed, the queue will be created and bound to the exchange; it’s slowing down publishing, but safer for the cold RebbatMQ installation declare?[boolean(), optional, default: true] if false is passed, the exchange would not be declared; use it if the exchange already surely exists to speed up the publishing routing_key [binary(), optional, default: &quot;&quot;] if passed, used as a routing key options [keyword(), optional, default: []] the options to be passe as is to call to AMQP.Basic.publish/5 Since v0.6.0 provides two mix tasks: mix rambla.rabbit.exchange Operations with exchanges in RabbitMQ mix rambla.rabbit.queue Operations with queues in RabbitMQ Tasks support arguments to be passed to RabbitMQ instance. Usage example: mix rambla.rabbit.queue declare foo -o durable:true","ref":"Rambla.Amqp.html","title":"Rambla.Amqp","type":"module"},{"doc":"Default connection implementation for 🕸️ HTTP. It expects a message to be a map, containing the following fields: :method, :path, :query, :body and the optional :type that otherwise would be inferred from the body type. For instance, this call would send a POST request with a JSON specified as body. Rambla.publish( Rambla.Http, %{method: :post, body: %{message: &quot;I ❤ HTTP&quot;}} } If the second argument message is binary() it’s treated as an URL and :get is implied. List of all possible options might be found in :httpc.request/4, names are preserved.","ref":"Rambla.Http.html","title":"Rambla.Http","type":"module"},{"doc":"Default connection implementation for 🔴 Redis.","ref":"Rambla.Redis.html","title":"Rambla.Redis","type":"module"},{"doc":"Default connection implementation for 📧 SMTP. It expects a message to be a map containing the following fields: :to, :subject, :body and the optional :from that otherwise would be taken from the global settings (releases.mix) from []:rambla, :pools, Rambla.Smtp]. For instance, this call would send an email to email:am@example.com with the respective subject and body. Rambla.publish( Rambla.Smtp, %{to: &quot;am@example.com&quot;, subject: &quot;Hi there&quot;, body: &quot;I ❤ SMTP&quot;} }","ref":"Rambla.Smtp.html","title":"Rambla.Smtp","type":"module"},{"doc":"Base type for all the Rambla exceptions.","ref":"Rambla.Exception.html","title":"Rambla.Exception","type":"module"},{"doc":"Rambla exception contains: reason the string describing the error in human-readable form source usually the type/action this error is originated from info free-style map containig additional information (not displayed by default)","ref":"Rambla.Exception.html#t:t/0","title":"Rambla.Exception.t/0","type":"type"},{"doc":"Rambla     Easy publishing to many different targets","ref":"readme.html","title":"Rambla","type":"extras"},{"doc":"def deps do [ {:rambla, &quot;~&gt; 0.4&quot;} ] end","ref":"readme.html#installation","title":"Rambla - Installation","type":"extras"},{"doc":"Rabbit (through Amqp) Redis (through Exredis) Http (through :httpc) Smtp (through :gen_smtp) Slack (through Envío)","ref":"readme.html#supported-back-ends","title":"Rambla - Supported back-ends","type":"extras"},{"doc":"AWS","ref":"readme.html#coming-soon","title":"Rambla - Coming soon","type":"extras"},{"doc":"0.6.5 RabbitMQ → bind, unbind 0.6.3 Auto-reenable tasks 0.6.2 code cleanup, DRY 0.6.0 mix tasks to deal with RabbitMQ 0.5.2 graceful timeout, fix for optional Envio does not included 0.5.1 performance fixes, do not require queue in call to Rabbit publish/2, declare?: false to not declare exchange every time 0.5.0 bulk publisher 0.4.0 SMTP publisher 0.3.0 HTTP publisher","ref":"readme.html#changelog","title":"Rambla - Changelog","type":"extras"},{"doc":"https://hexdocs.pm/rambla.","ref":"readme.html#documentation","title":"Rambla - Documentation","type":"extras"}]